summaryrefslogtreecommitdiffstats
path: root/system-boot/components/9990-mount-nfs.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
commit32322960234c8ec91e0d42835a3ec5ee63305070 (patch)
tree71d79574de0193778ad6cc6c96dfd4f74fa6bbbb /system-boot/components/9990-mount-nfs.sh
parentInitial commit. (diff)
downloadopen-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.tar.xz
open-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.zip
Adding upstream version 20190202.upstream/20190202
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'system-boot/components/9990-mount-nfs.sh')
-rwxr-xr-xsystem-boot/components/9990-mount-nfs.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/system-boot/components/9990-mount-nfs.sh b/system-boot/components/9990-mount-nfs.sh
new file mode 100755
index 0000000..6a3ae55
--- /dev/null
+++ b/system-boot/components/9990-mount-nfs.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+#set -e
+
+do_nfsmount ()
+{
+ rc=1
+
+ modprobe -q nfs
+
+ if [ -n "${NFSOPTS}" ]
+ then
+ NFSOPTS="-o ${NFSOPTS}"
+ fi
+
+ log_begin_msg "Trying nfsmount -o nolock -o ro ${NFSOPTS} ${NFSROOT} ${mountpoint}"
+
+ # FIXME: This while loop is an ugly HACK round an nfs bug
+ i=0
+ while [ "$i" -lt 60 ]
+ do
+ nfsmount -o nolock -o ro ${NFSOPTS} "${NFSROOT}" "${mountpoint}" && rc=0 && break
+ sleep 1
+ i="$(($i + 1))"
+ done
+
+ return ${rc}
+}